Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 263872 - sci-mathematics/qtoctave-0.8.2 stabilization request
Summary: sci-mathematics/qtoctave-0.8.2 stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Science Mathematics related packages
URL: http://forja.rediris.es/projects/csl-...
Whiteboard:
Keywords: STABLEREQ
Depends on: 245707 318649
Blocks:
  Show dependency tree
 
Reported: 2009-03-26 16:25 UTC by Roeland Douma
Modified: 2010-08-04 06:26 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild (qtoctave-0.8.2.ebuild,892 bytes, text/plain)
2009-08-21 12:49 UTC, Michael Duelli
Details
patch adopted from version 0.8.1 (qtoctave-0.8.2-gcc4.4.patch,410 bytes, patch)
2009-08-21 12:50 UTC, Michael Duelli
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roeland Douma 2009-03-26 16:25:48 UTC
I have been using this package for a week now, on my AMD64 machine, instead of matlab and I absolutely love it! I am actually using it instead of matlab. I have had no problems when using it and we have no open bugs for qtoctave. Only AMD64 and ALPHA have >=octave-3.0.0 stable so for the other arches this should be done first (bug 245707)

It is OK with you to stabilize qtoctave?

emerge --info:
Portage 2.1.6.7 (default/linux/amd64/2008.0/no-multilib, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.25-gentoo-r7 x86_64)
=================================================================                                                   
System uname: Linux-2.6.25-gentoo-r7-x86_64-AMD_Turion-tm-_64_Mobile_Technology_MT-28-with-glibc2.2.5               
Timestamp of tree: Thu, 26 Mar 2009 13:45:01 +0000                                                                  
app-shells/bash:     3.2_p39                                                                                        
dev-java/java-config: 1.3.7-r1, 2.1.7                                                                               
dev-lang/python:     2.4.4-r13, 2.5.2-r7                                                                            
dev-python/pycrypto: 2.0.1-r6                                                                                       
dev-util/cmake:      2.6.2-r1                                                                                       
sys-apps/baselayout: 1.12.11.1                                                                                      
sys-apps/sandbox:    1.2.18.1-r2                                                                                    
sys-devel/autoconf:  2.13, 2.63                                                                                     
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2                                                                
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -msse3 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=k8 -msse3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks fixpackages multilib-strict parallel-fetch protect-owned sandbox sfperms strict test unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="http://gentoo.tiscali.nl/ ftp://gentoo.tiscali.nl/pub/mirror/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="en nl"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/ftd4linux /usr/overlay"
SYNC="rsync://rsync.tiscali.nl/gentoo-portage"
USE="X aac acpi admin alsa amd64 ao apache2 bash-completion bzip2 cairo calendar cli cracklib crypt cups curl cvs dbus dri escreen ffmpeg flac fontconfig fortran ftp gd gdbm gif hal highlight history hybrid-auth iconv isdnlog jpeg jpeg2k kde latex midi mmx mp3 mplayer mudflap mysql ncurses nls nptl nptlonly nsplugin ogg opengl openmp oss par pcre perl png posix pppd python qt3 qt3support readline reflection session spl sse sse2 ssl subversion sysfs tcpd threads tiff truetype unicode unrar unzip vim-syntax vorbis webdav-neon xine xml xmlreader xmlrpc xmlwriter xorg xpm xv zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouseevdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en nl" USERLAND="GNU" VIDEO_CARDS="sis"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Michael Duelli 2009-06-12 12:40:53 UTC
Compiles fine and works great for me on ~x86, too. Please stabilize.
Comment 2 Michael Duelli 2009-08-12 11:57:58 UTC
Recently version 0.8.2 has been released. The ebuild should be updated and made EAPI 2 compatible

Comment 3 Michael Duelli 2009-08-21 12:49:41 UTC
Created attachment 201864 [details]
ebuild
Comment 4 Michael Duelli 2009-08-21 12:50:16 UTC
Created attachment 201866 [details, diff]
patch adopted from version 0.8.1
Comment 5 Michael Duelli 2009-08-21 12:51:17 UTC
(In reply to comment #2)
> Recently version 0.8.2 has been released. The ebuild should be updated and made
> EAPI 2 compatible
> 

Just attached an updated ebuild and patch, which compile fine for me
Comment 6 Markus Dittrich (RETIRED) gentoo-dev 2009-08-25 01:49:47 UTC
I agree that qtoctave can probably go stable. Let me have
a closer look and if all looks well I'll cc the arches.

I've bumped qtoctave to 0.8.2 as well.

Thanks,
Markus
Comment 7 dE 2009-11-29 15:06:50 UTC
qtoctave states that it requires octave 3.2.0 or above, but it does not have a dependency on it.

I have octave 3.0.3 installed and qtoctave complains.
Comment 8 Markus Dittrich (RETIRED) gentoo-dev 2009-12-04 04:38:48 UTC
(In reply to comment #7)
> qtoctave states that it requires octave 3.2.0 or above, but it does not have a
> dependency on it.
> 
> I have octave 3.0.3 installed and qtoctave complains.
> 

Thanks much for the note and qtoctave-0.8.2 indeed needs >=octave-3.2
I've updated the ebuild. So it looks like 0.8.1 will be the candidate for
stabilization after all.

Best,
Markus
Comment 9 Justin Lecher gentoo-dev 2010-06-24 13:46:13 UTC
I will ask for stable in two weeks.
Comment 10 Justin Lecher gentoo-dev 2010-07-09 11:36:23 UTC
Please stable
Comment 11 Andreas Schürch gentoo-dev 2010-07-12 13:24:44 UTC
I tested sci-mathematics/qtoctave-0.8.2 on x86, it seems good to get stabilized.
Comment 12 Christian Faulhammer (RETIRED) gentoo-dev 2010-07-12 18:03:20 UTC
stable x86, thanks Andreas
Comment 13 Markos Chandras (RETIRED) gentoo-dev 2010-07-14 10:27:08 UTC
amd64 done
Comment 14 Justin Lecher gentoo-dev 2010-08-04 06:26:32 UTC
Is fixed